# shell.nix
{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
  buildInputs = [
    pkgs.nodejs
    pkgs.yarn  # Optional, if you prefer yarn over npm
  ];

  shellHook = ''
    export NODE_PATH=$(pwd)/node_modules
    echo "Welcome to the audio uploader development shell!"
  '';
}

